icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons_061

XMail < 1.27 Insecure Temporary File Creation

Low

Synopsis

The remote SMTP server is vulnerable to a symlink attack.

Description

The remote mail server is running a version of XMail earlier than 1.27. Such versions are potentially affected by a flaw that may allow an attacker with local access to the host to delete or corrupt arbitrary files, due to the application creating temporary files in an insecure manner.

Solution

Upgrade to XMail 1.27 or later.